# gitlabci

Estudos do GitLab-CI

### nodejs
  - npm install
  #### Pacotes
    - blc (broken-link-chccker)
    - snyk.co
    Configurar usuário no snyk.co e gerar um token, adicionando o mesmo no gitlab.com

    ```
    cd build/optydev.io
    npm install -g snyk
    snyk monitor
    snyk wizard
    ```

### Docosaurus
  
### Gitlab-ci
  #### papiline
  #### jobs
  - Test
  - Packages ou Build
  - Deploy

  #### Staging
  #### Desenvolvimento
  #### Produção
  - Merge

